Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Interface Model.Cls

Enclosing interface:
  Model

    public static interface Model.Cls

system class names

Author:
  Ray Fergerson

Field Summary
`static String` | `ANNOTATION`
`static String` | `BOOLEAN`
`static String` | `CLASS`
`static String` | `CONSTRAINT`
`static String` | `DIRECTED_BINARY_RELATION`
`static String` | `FACET`
`static String` | `FLOAT`
`static String` | `INSTANCE_ANNOTATION`
`static String` | `INTEGER`
`static String` | `PAL_CONSTRAINT`
`static String` | `PRIMITIVE_TYPE`
`static String` | `RELATION`
`static String` | `ROOT_META_CLASS`
`static String` | `SLOT`
`static String` | `STANDARD_CLASS`
`static String` | `STANDARD_FACET`
`static String` | `STANDARD_SLOT`
`static String` | `STRING`
`static String` | `SYMBOL`
`static String` | `SYSTEM_CLASS`
`static String` | `THING`

Field Detail

### THING

    static final String THING

See Also:
  Constant Field Values

### CLASS

    static final String CLASS

See Also:
  Constant Field Values

### STANDARD_CLASS

    static final String STANDARD_CLASS

See Also:
  Constant Field Values

### SLOT

    static final String SLOT

See Also:
  Constant Field Values

### STANDARD_SLOT

    static final String STANDARD_SLOT

See Also:
  Constant Field Values

### FACET

    static final String FACET

See Also:
  Constant Field Values

### STANDARD_FACET

    static final String STANDARD_FACET

See Also:
  Constant Field Values

### INTEGER

    static final String INTEGER

See Also:
  Constant Field Values

### FLOAT

    static final String FLOAT

See Also:
  Constant Field Values

### STRING

    static final String STRING

See Also:
  Constant Field Values

### SYMBOL

    static final String SYMBOL

See Also:
  Constant Field Values

### BOOLEAN

    static final String BOOLEAN

See Also:
  Constant Field Values

### PRIMITIVE_TYPE

    static final String PRIMITIVE_TYPE

See Also:
  Constant Field Values

### SYSTEM_CLASS

    static final String SYSTEM_CLASS

See Also:
  Constant Field Values

### CONSTRAINT

    static final String CONSTRAINT

See Also:
  Constant Field Values

### RELATION

    static final String RELATION

See Also:
  Constant Field Values

### PAL_CONSTRAINT

    static final String PAL_CONSTRAINT

See Also:
  Constant Field Values

### ANNOTATION

    static final String ANNOTATION

See Also:
  Constant Field Values

### INSTANCE_ANNOTATION

    static final String INSTANCE_ANNOTATION

See Also:
  Constant Field Values

### DIRECTED_BINARY_RELATION

    static final String DIRECTED_BINARY_RELATION

See Also:
  Constant Field Values

### ROOT_META_CLASS

    static final String ROOT_META_CLASS

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.